// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class test3 extends cc.Component {

    start () {

        let bundle = cc.assetManager.getBundle("tc");

        bundle.load('Sprite2', cc.Prefab, (err: any, prefab: cc.Prefab)=>{
            if (err) {
                console.log("bundle.load =>", err);
                return ;
            }

            let node = cc.instantiate(prefab);
            node.parent = this.node;
        })
    }
}
